#######################################################################
#
# NCM component for cmnconfig daemon
#
# Charles Loomis <charles.loomis@cern.ch>
# Version 1.0.3 : 05/12/04 18:19
#
# ** Generated file : do not edit **
#
#######################################################################

package NCM::Component::cmnconfig;

use strict;
use NCM::Component;
use vars qw(@ISA $EC);
@ISA = qw(NCM::Component);
$EC=LC::Exception::Context->new->will_store_all;
use NCM::Check;
use File::Copy;
use File::Path;

use EDG::WP4::CCM::Element;


local(*DTA);


##########################################################################
sub Configure($$@) {
##########################################################################
    
    my ($self, $config) = @_;

    # Define paths for convenience. 
    my $edgpath = "/system/edg/config/EDG_LOCATION";
    my $edgvarpath = "/system/edg/config/EDG_LOCATION_VAR";

    # Default location for EDG software.
    my $edgloc = "/opt/edg";
    if ($config->elementExists($edgpath)) {
        $edgloc = $config->getValue($edgpath);
    }

    # Default location for EDG var area.
    my $varloc = "$edgloc/var";
    if ($config->elementExists($edgvarpath)) {
        $varloc = $config->getValue($edgvarpath); 
    }

    # Make sure that the paths exist.
    mkpath($edgloc,0,0755) unless (-e $edgloc);
    unless (-d $edgloc) {
	$self->error("$edgloc directory can't be made");
	return 1;
    }

    mkpath($varloc,0,0755) unless (-e $varloc);
    unless (-d $varloc) {
	$self->error("$varloc directory can't be made");
	return 1;
    }

    # Make copies of configuration files. 
    my $name = "etc/profile.d/edg-wl.sh";
    copy("$edgloc/$name","$varloc/$name");
    $self->error("error copying $name") if $?;

    $name = "etc/profile.d/edg-wl.csh";
    copy("$edgloc/$name","$varloc/$name");
    $self->error("error copying $name") if $?;

    return 1;
}

1;      # Required for PERL modules
